## xdoclet.modules.libelis.jdo
Class LidoSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.modules.jdo.VendorExtensionsSubTask
                  xdoclet.modules.libelis.jdo.LidoSubTask

All Implemented Interfaces:
  Serializable

public class LidoSubTask
extends VendorExtensionsSubTask

Version:
  $Revision: 1.3 $
Author:
  Ludovic Claude (ludovicc@users.sourceforge.net)
See Also:
  Serialized Form
ant.element
  display-name="Libelis LIDO support" name="lido" parent="xdoclet.modules.jdo.JdoDocletTask"
created
  10 October 2002

Nested Class Summary
`static class` `LidoSubTask.LidoVersionTypes`

Field Summary

Fields inherited from class xdoclet.modules.jdo.VendorExtensionsSubTask
`COLUMN_NAME_ATTR, RELATED_FIELD_ATTR, SQL_FIELD_TAG, SQL_RELATION_TAG, SQL_TABLE_TAG, STYLE_ATTR, STYLE_FOREIGN_KEY_VALUE, STYLE_RELATION_TABLE_VALUE, TABLE_NAME_ATTR`

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`LidoSubTask()`

Method Summary
`protected Collection` `getArrayExtensions()`
`protected Collection` `getClassExtensions()`
`protected Collection` `getCollectionExtensions()`
`protected Collection` `getFieldExtensions()`
`protected Collection` `getMapExtensions()`
`String` `getVendorDescription()`
`String` `getVendorName()`
`String` `getVersion()` Gets the Version attribute of the LidoSubTask object
`void` `setVersion(LidoSubTask.LidoVersionTypes version)` The version of Lido.

Methods inherited from class xdoclet.modules.jdo.VendorExtensionsSubTask
`execute, getCurrentClass, getCurrentConstructor, getCurrentField, getCurrentMethod, getCurrentPackage, getExtensions, getMetadataSubTask, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentConstructor, setCurrentField, setCurrentMethod, setCurrentPackage`

Methods inherited from class xdoclet.SubTask
`addConfigParam, copyAttributesFrom, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, init, setDestDir, setMergeDir, setSubTaskName, validateOptions`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClassTag, getCurrentFieldTag, getCurrentMethodTag, getCurrentTag, isDocletGenerated, setCurrentClassTag, setCurrentFieldTag, setCurrentMethodTag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LidoSubTask

    public LidoSubTask()

Method Detail

### getVersion

    public String getVersion()

  Gets the Version attribute of the LidoSubTask object

  Returns:
    The Version value

### getVendorName

    public String getVendorName()

  Specified by:
    `getVendorName` in class `VendorExtensionsSubTask`
  Returns:
  See Also:
    `VendorExtensionsSubTask.getVendorName()`

### getVendorDescription

    public String getVendorDescription()

  Specified by:
    `getVendorDescription` in class `VendorExtensionsSubTask`

### setVersion

    public void setVersion(LidoSubTask.LidoVersionTypes version)

  The version of Lido. Supported versions are 1.3.

  Parameters:
    `version` - The new Version value

### getClassExtensions

    protected Collection getClassExtensions()
                                     throws XDocletException

  Specified by:
    `getClassExtensions` in class `VendorExtensionsSubTask`
  Throws:
    `XDocletException`

### getFieldExtensions

    protected Collection getFieldExtensions()
                                     throws XDocletException

  Specified by:
    `getFieldExtensions` in class `VendorExtensionsSubTask`
  Throws:
    `XDocletException`

### getCollectionExtensions

    protected Collection getCollectionExtensions()
                                          throws XDocletException

  Specified by:
    `getCollectionExtensions` in class `VendorExtensionsSubTask`
  Throws:
    `XDocletException`

### getArrayExtensions

    protected Collection getArrayExtensions()
                                     throws XDocletException

  Specified by:
    `getArrayExtensions` in class `VendorExtensionsSubTask`
  Throws:
    `XDocletException`

### getMapExtensions

    protected Collection getMapExtensions()
                                   throws XDocletException

  Specified by:
    `getMapExtensions` in class `VendorExtensionsSubTask`
  Throws:
    `XDocletException`

http://xdoclet.sourceforge.net/